org.wso2.carbon.rest.api.stub

## Interface RestApiAdmin

- All Known Implementing Classes:
    RestApiAdminStub

      public interface RestApiAdmin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addApi(APIData apiData117)` Auto generated method signature
    `boolean` | `addApiForTenant(String apiData121, String tenantDomain122)` Auto generated method signature
    `boolean` | `addApiFromString(String apiData113)` Auto generated method signature
    `void` | `deleteAllApi()` Auto generated method signature for Asynchronous Invocations
    `boolean` | `deleteApi(String apiName52)` Auto generated method signature
    `boolean` | `deleteApiForTenant(String apiName126, String tenantDomain127)` Auto generated method signature
    `void` | `deleteSelectedApi(String[] apiNames99)` Auto generated method signature for Asynchronous Invocations
    `String` | `disableStatistics(String apiName81)` Auto generated method signature
    `String` | `disableTracing(String apiName67)` Auto generated method signature
    `String` | `enableStatistics(String apiName85)` Auto generated method signature
    `String` | `enableTracing(String apiName89)` Auto generated method signature
    `APIData` | `getApiByName(String apiName59)` Auto generated method signature
    `int` | `getAPICount()` Auto generated method signature
    `APIData` | `getApiForTenant(String apiName76, String tenantDomain77)` Auto generated method signature
    `String[]` | `getApiNames()` Auto generated method signature
    `APIData[]` | `getAPIsForListing(int pageNumber71, int itemsPerPage72)` Auto generated method signature
    `String` | `getApiSource(APIData apiData63)` Auto generated method signature
    `String` | `getResourceSource(ResourceData resourceData48)` Auto generated method signature
    `String[]` | `getSequences()` Auto generated method signature
    `String` | `getServerContext()` Auto generated method signature
    `void` | `startaddApi(APIData apiData117, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiForTenant(String apiData121, String tenantDomain122, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiFromString(String apiData113, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApi(String apiName52, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApiForTenant(String apiName126, String tenantDomain127, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableStatistics(String apiName81, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableTracing(String apiName67, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableStatistics(String apiName85, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableTracing(String apiName89, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiByName(String apiName59, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPICount(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiForTenant(String apiName76, String tenantDomain77, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiNames(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPIsForListing(int pageNumber71, int itemsPerPage72, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiSource(APIData apiData63, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetResourceSource(ResourceData resourceData48, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSequences(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetServerContext(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApi(String apiName94, APIData apiData95, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiForTenant(String apiName104, String apiData105, String tenantDomain106, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiFromString(String apiName43, String apiData44, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `boolean` | `updateApi(String apiName94, APIData apiData95)` Auto generated method signature
    `boolean` | `updateApiForTenant(String apiName104, String apiData105, String tenantDomain106)` Auto generated method signature
    `boolean` | `updateApiFromString(String apiName43, String apiData44)` Auto generated method signature

- - ### Method Detail

    - #### getSequences

          String[] getSequences()
                         throws RemoteException

      Auto generated method signature
      Parameters:
        `getSequences39` -
      Throws:
        `RemoteException`

    - #### startgetSequences

          void startgetSequences(RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSequences39` -
      Throws:
        `RemoteException`

    - #### updateApiFromString

          boolean updateApiFromString(String apiName43,
                                      String apiData44)
                               throws RemoteException,
                                      RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApiFromString42` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApiFromString

          void startupdateApiFromString(String apiName43,
                                        String apiData44,
                                        RestApiAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApiFromString42` -
      Throws:
        `RemoteException`

    - #### getResourceSource

          String getResourceSource(ResourceData resourceData48)
                            throws RemoteException

      Auto generated method signature
      Parameters:
        `getResourceSource47` -
      Throws:
        `RemoteException`

    - #### startgetResourceSource

          void startgetResourceSource(ResourceData resourceData48,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getResourceSource47` -
      Throws:
        `RemoteException`

    - #### deleteApi

          boolean deleteApi(String apiName52)
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `deleteApi51` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdeleteApi

          void startdeleteApi(String apiName52,
                              RestApiAdminCallbackHandler callback)
                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `deleteApi51` -
      Throws:
        `RemoteException`

    - #### getAPICount

          int getAPICount()
                   throws RemoteException

      Auto generated method signature
      Parameters:
        `getAPICount55` -
      Throws:
        `RemoteException`

    - #### startgetAPICount

          void startgetAPICount(RestApiAdminCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAPICount55` -
      Throws:
        `RemoteException`

    - #### getApiByName

          APIData getApiByName(String apiName59)
                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiByName58` -
      Throws:
        `RemoteException`

    - #### startgetApiByName

          void startgetApiByName(String apiName59,
                                 RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiByName58` -
      Throws:
        `RemoteException`

    - #### getApiSource

          String getApiSource(APIData apiData63)
                       throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiSource62` -
      Throws:
        `RemoteException`

    - #### startgetApiSource

          void startgetApiSource(APIData apiData63,
                                 RestApiAdminCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiSource62` -
      Throws:
        `RemoteException`

    - #### disableTracing

          String disableTracing(String apiName67)
                         throws RemoteException,
                                RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `disableTracing66` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdisableTracing

          void startdisableTracing(String apiName67,
                                   RestApiAdminCallbackHandler callback)
                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableTracing66` -
      Throws:
        `RemoteException`

    - #### getAPIsForListing

          APIData[] getAPIsForListing(int pageNumber71,
                                      int itemsPerPage72)
                               throws RemoteException

      Auto generated method signature
      Parameters:
        `getAPIsForListing70` -
      Throws:
        `RemoteException`

    - #### startgetAPIsForListing

          void startgetAPIsForListing(int pageNumber71,
                                      int itemsPerPage72,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAPIsForListing70` -
      Throws:
        `RemoteException`

    - #### getApiForTenant

          APIData getApiForTenant(String apiName76,
                                  String tenantDomain77)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `getApiForTenant75` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgetApiForTenant

          void startgetApiForTenant(String apiName76,
                                    String tenantDomain77,
                                    RestApiAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiForTenant75` -
      Throws:
        `RemoteException`

    - #### disableStatistics

          String disableStatistics(String apiName81)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `disableStatistics80` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdisableStatistics

          void startdisableStatistics(String apiName81,
                                      RestApiAdminCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableStatistics80` -
      Throws:
        `RemoteException`

    - #### enableStatistics

          String enableStatistics(String apiName85)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `enableStatistics84` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startenableStatistics

          void startenableStatistics(String apiName85,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableStatistics84` -
      Throws:
        `RemoteException`

    - #### enableTracing

          String enableTracing(String apiName89)
                        throws RemoteException,
                               RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `enableTracing88` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startenableTracing

          void startenableTracing(String apiName89,
                                  RestApiAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableTracing88` -
      Throws:
        `RemoteException`

    - #### deleteAllApi

          void deleteAllApi()
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### updateApi

          boolean updateApi(String apiName94,
                            APIData apiData95)
                     throws RemoteException,
                            RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApi93` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApi

          void startupdateApi(String apiName94,
                              APIData apiData95,
                              RestApiAdminCallbackHandler callback)
                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApi93` -
      Throws:
        `RemoteException`

    - #### deleteSelectedApi

          void deleteSelectedApi(String[] apiNames99)
                          throws RemoteException,
                                 RestApiAdminAPIException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### getServerContext

          String getServerContext()
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `getServerContext100` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startgetServerContext

          void startgetServerContext(RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getServerContext100` -
      Throws:
        `RemoteException`

    - #### updateApiForTenant

          boolean updateApiForTenant(String apiName104,
                                     String apiData105,
                                     String tenantDomain106)
                              throws RemoteException,
                                     RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `updateApiForTenant103` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startupdateApiForTenant

          void startupdateApiForTenant(String apiName104,
                                       String apiData105,
                                       String tenantDomain106,
                                       RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `updateApiForTenant103` -
      Throws:
        `RemoteException`

    - #### getApiNames

          String[] getApiNames()
                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getApiNames109` -
      Throws:
        `RemoteException`

    - #### startgetApiNames

          void startgetApiNames(RestApiAdminCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getApiNames109` -
      Throws:
        `RemoteException`

    - #### addApiFromString

          boolean addApiFromString(String apiData113)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApiFromString112` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApiFromString

          void startaddApiFromString(String apiData113,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApiFromString112` -
      Throws:
        `RemoteException`

    - #### addApi

          boolean addApi(APIData apiData117)
                  throws RemoteException,
                         RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApi116` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApi

          void startaddApi(APIData apiData117,
                           RestApiAdminCallbackHandler callback)
                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApi116` -
      Throws:
        `RemoteException`

    - #### addApiForTenant

          boolean addApiForTenant(String apiData121,
                                  String tenantDomain122)
                           throws RemoteException,
                                  RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `addApiForTenant120` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startaddApiForTenant

          void startaddApiForTenant(String apiData121,
                                    String tenantDomain122,
                                    RestApiAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addApiForTenant120` -
      Throws:
        `RemoteException`

    - #### deleteApiForTenant

          boolean deleteApiForTenant(String apiName126,
                                     String tenantDomain127)
                              throws RemoteException,
                                     RestApiAdminAPIException

      Auto generated method signature
      Parameters:
        `deleteApiForTenant125` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### startdeleteApiForTenant

          void startdeleteApiForTenant(String apiName126,
                                       String tenantDomain127,
                                       RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `deleteApiForTenant125` -
      Throws:
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.